## colorize 0.2.1

=== DESCRIPTION ===
Package: colorize
Title: Render Text in Color for Markdown/Quarto Documents
Description: Provides some simple functions for printing text in color in 'markdown' or 'Quarto' documents, to be rendered as HTML or LaTeX. This is useful when writing about the use of colors in graphs or tables, where you want to print their names in their actual color to give a direct impression of the color, like “red” shown in red, or “blue” shown in blue. 
Version: 0.2.1
Date: 2025-11-24
Authors@R: 
    c(person("Michael", "Friendly",  
             email = "friendly@yorku.ca", role = c("aut", "cre"),
             comment = c(ORCID = "0000-0002-3237-0941")),
      person(given = "Achim", family = "Zeileis", role = "aut",
	           email = "Achim.Zeileis@R-project.org",
             comment = c(ORCID = "0000-0003-0918-3766")),
      person("Richard", "Brath", role = "ctb",
             email = "rbrath@uncharted.software")
    )
Depends: R (>= 4.1.0)
Imports: colorspace, knitr
Suggests: quarto, glue, crayon
License: MIT + file LICENSE
Encoding: UTF-8
VignetteBuilder: quarto
RoxygenNote: 7.3.3
Language: en-US
URL: https://github.com/friendly/colorize
BugReports: https://github.com/friendly/colorize/issues
NeedsCompilation: no
Packaged: 2025-11-24 14:30:40 UTC; friendly
Author: Michael Friendly [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-3237-0941>),
  Achim Zeileis [aut] (ORCID: <https://orcid.org/0000-0003-0918-3766>),
  Richard Brath [ctb]
Maintainer: Michael Friendly <friendly@yorku.ca>
Repository: CRAN
Date/Publication: 2025-11-27 19:50:07 UTC

## colorize 0.3.1-4

=== debian/changelog ===
colorize (0.3.1-4) unstable; urgency=low

  * Provide a compatibility symlink /usr/bin/ccze -> colorize.
  (Closes: #180909)
  * Include a README.Debian in the package.

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Fri, 14 Feb 2003 09:12:41 +0100

colorize (0.3.1-3) unstable; urgency=low

  * New maintainer (with permission from Andras).
  * Made it an empty transitional package to ccze.

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Sun,  9 Feb 2003 13:53:21 +0100

colorize (0.3.1-2) unstable; urgency=low

  * Correctly recognise Squid logs, thanks to Gergely Nagy
    (Closes: #160707)

 -- Andras Bali <bali@debian.org>  Tue, 17 Sep 2002 22:44:38 +0200

colorize (0.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Andras Bali <bali@debian.org>  Wed,  4 Sep 2002 15:47:28 +0200

colorize (0.3.0-4) unstable; urgency=low

  * Fixed lintian warnings:
    - Changed Build-Depends to Build-Depends-Indep.
    - Recompress manpage and changelog with gzip -9.
  * New maintainer.

 -- Andras Bali <bali@debian.org>  Mon,  3 Dec 2001 20:12:45 +0100

colorize (0.3.0-3) unstable; urgency=high

  * Rebuilt with correct ownerships (Closes: #117572)

 -- Gergely Nagy <algernon@debian.org>  Mon, 29 Oct 2001 20:09:13 +0100

colorize (0.3.0-2) unstable; urgency=low

  * Fixed two typos in TIPS (Closes: #116703)
  * Removed the `Thank you for using colorize' message, as it was
    bothering some people.

 -- Gergely Nagy <algernon@debian.org>  Tue, 23 Oct 2001 20:10:59 +0200

colorize (0.3.0-1) unstable; urgency=low

  * Initial Debian release (Closes: #113141)
  * debian/changelog: removed EMACS stuff
  * debian/control: bumped standards-version and debhelper requirement;
    also changed my address
  * debian/rules: rewrote from scratch

 -- Gergely Nagy <algernon@debian.org>  Sat, 22 Sep 2001 13:25:16 +0200

colorize (0.3.0-0.1) unstable; urgency=low

  * New upstream relese.

 -- Gergely Nagy <8@free.bsd.hu>  Tue, 12 Jun 2001 20:26:25 +0200

colorize (0.2.8-0.1) unstable; urgency=low

  * New upstream release.

 -- Gergely Nagy <8@free.bsd.hu>  Sun,  8 Apr 2001 03:18:53 +0200

colorize (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Gergely Nagy <8@free.bsd.hu>  Mon, 26 Mar 2001 22:50:32 +0200

colorize (0.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Gergely Nagy <8@free.bsd.hu>  Wed,  7 Mar 2001 22:12:59 +0100

colorize (0.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Gergely Nagy <8@free.bsd.hu>  Mon, 26 Feb 2001 23:38:41 +0100

colorize (0.2.3-2) unstable; urgency=low

  * Bah! Changed architecture to all.

 -- Gergely Nagy <8@free.bsd.hu>  Mon, 26 Feb 2001 15:20:23 +0100

colorize (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Gergely Nagy <8@free.bsd.hu>  Sun, 25 Feb 2001 01:27:35 +0100

colorize (0.2.2-1) unstable; urgency=low

  * Initial release.

 -- Gergely Nagy <8@free.bsd.hu>  Sun, 28 Jan 2001 00:48:57 +0100

=== debian/control ===
Source: colorize
Section: utils
Priority: extra
Maintainer: Gergely Nagy <algernon@bonehunter.rulez.org>
Standards-Version: 3.5.8

Package: colorize
Architecture: all
Depends: ccze
Description: Dummy package for transition to ccze
 This dummy package provides a transition from colorize to ccze, which
 supersedes it.
 .
 After the upgrade completed, this package may be safely removed.

=== debian/rules ===
#! /usr/bin/make -f
## Written by Gergely Nagy <algernon@debian.org>
## This is under GPL v2.

PACKAGE		:= colorize
PKGDIR		:= ${CURDIR}/debian/${PACKAGE}

build: ;

clean:
	test -e debian/control && test "x`whoami`" = "xroot"
	rm -rf ${PKGDIR} debian/files

binary-colorize:
	test -e debian/control && test "x`whoami`" = "xroot"
## Install stuff
	install -d ${PKGDIR}/usr/share/doc/${PACKAGE} \
		${PKGDIR}/DEBIAN ${PKGDIR}/usr/bin
# ..the changelogs..
	gzip -9fc debian/changelog >${PKGDIR}/usr/share/doc/${PACKAGE}/changelog.Debian.gz
# ..the copyright file..
	install -m 0644 debian/copyright ${PKGDIR}/usr/share/doc/${PACKAGE}
# ..README.Debian
	install -m 0644 debian/README.Debian ${PKGDIR}/usr/share/doc/${PACKAGE}
# ..the compatibility symlink
	ln -s ccze ${PKGDIR}/usr/bin/colorize
## Fix permissions
	find ${PKGDIR} -print0 2>/dev/null | xargs -0r chown \
						   --no-dereference 0.0
	find ${PKGDIR} ! -type l -print 0 2>/dev/null | xargs -0r \
		chmod go=rX,u+rw,a-s
## Generate DEBIAN/md5sums
	cd ${PKGDIR} >/dev/null ;\
	 find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
## Generate DEBIAN/control
	dpkg-gencontrol -isp -p${PACKAGE} -P${PKGDIR}
## Build the binary package
	dpkg --build ${PKGDIR} ..

binary-indep:
binary-arch: binary-colorize

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean build install binary-colorize
.SUFFIXES:

## colorize 0.60

=== debian/changelog ===
colorize (0.60-1) unstable; urgency=low

  * Initial Debian package version.

 -- Steven Schubiger <stsc@refcnt.org>  Sun, 02 Apr 2017 23:19:04 +0200

## colorize 0.62

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@

## colorize 0.63

=== debian/changelog ===
colorize (0.63-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 4.1.2.
    (No changes needed.)
  * debian/rules: eliminate trailing whitespace.

 -- Steven Schubiger <stsc@refcnt.org>  Wed, 06 Dec 2017 22:48:42 +0100

colorize (0.62-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: trim down.

 -- Steven Schubiger <stsc@refcnt.org>  Thu, 17 Aug 2017 22:26:17 +0200

colorize (0.61-1) unstable; urgency=low

  * New upstream release.

 -- Steven Schubiger <stsc@refcnt.org>  Thu, 27 Apr 2017 19:41:04 +0200

=== debian/control ===
Source: colorize
Section: utils
Priority: optional
Maintainer: Steven Schubiger <stsc@refcnt.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.2
Homepage: http://cgit.refcnt.org/colorize.git/tree/README
Vcs-Git: git://refcnt.org/colorize.git
Vcs-Browser: http://cgit.refcnt.org/colorize.git/

Package: colorize
Conflicts: forensics-colorize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Colorizes text on terminal with ANSI escape sequences
 Colorizes text read from standard input stream or file by using ANSI
 escape sequences (and also vice versa, i.e. cleaning text from sequences)
 and prints resulting output to the terminal.

## colorize 0.64

=== Makefile ===
.PHONY: check check_valgrind install clean release

.SUFFIXES:
.SUFFIXES: .c .o

SHELL=/bin/sh
CC=gcc
CFLAGS:=-ansi -pedantic $(CFLAGS)
FLAGS= # command-line macro

colorize:	colorize.c
			perl ./version.pl > version.h
			$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o colorize colorize.c \
  -DCPPFLAGS="\"$(CPPFLAGS)\"" -DCFLAGS="\"$(CFLAGS)\"" -DLDFLAGS="\"$(LDFLAGS)\"" \
  -DHAVE_VERSION $(FLAGS)

check:
			perl ./test.pl --regular

check_valgrind:
			@which valgrind >/dev/null 2>&1 || (printf '%s\n' "valgrind not found" && exit 1)
			perl ./test.pl --valgrind || exit 0

install:
			test ! -d $(DESTDIR)/usr/bin && mkdir -p $(DESTDIR)/usr/bin || exit 0
			cp colorize $(DESTDIR)/usr/bin

clean:
			rm -f a.out colorize debug.txt version.h

release:
			sh ./release.sh

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Steven Schubiger <stsc@refcnt.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: http://cgit.refcnt.org/colorize.git/tree/README
 Vcs-Git: git://refcnt.org/colorize.git
 Vcs-Browser: http://cgit.refcnt.org/colorize.git/

## colorize 0.65

=== debian/changelog ===
colorize (0.65-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 4.5.0.
    (No changes needed.)
  * debian/copyright: amend years.
  * debian/control: use v12 mode of debhelper-compat package.
  * debian/control: declare "Rules-Requires-Root: no".
  * debian/copyright: update link to HTTPS, reported by duck(1).

 -- Steven Schubiger <stsc@refcnt.org>  Fri, 20 Mar 2020 22:42:04 +0100

colorize (0.64-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 4.1.4.
    (No changes needed.)
  * debian/copyright: amend format URL and years.

 -- Steven Schubiger <stsc@refcnt.org>  Wed, 13 Jun 2018 19:31:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Steven Schubiger <stsc@refcnt.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://cgit.refcnt.org/colorize.git/tree/README
 Vcs-Git: git://refcnt.org/colorize.git
 Vcs-Browser: http://cgit.refcnt.org/colorize.git/

=== debian/watch ===
version=3
http://cgit.refcnt.org/colorize.git/refs/ /colorize.git/snapshot/colorize-(.+)\.tar\.gz

## colorize 0.66

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: check check_valgrind install clean release
+.PHONY: check check_valgrind install clean release readme
 
 .SUFFIXES:
 .SUFFIXES: .c .o
@@ -30,3 +30,6 @@
 
 release:
 			sh ./release.sh
+
+readme:
+			perl ./readme.pl

=== debian/changelog ===
colorize (0.66-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 4.7.0.
    (No changes needed.)
  * debian/copyright: amend years.
  * debian/control: use v13 mode of debhelper-compat package.
  * debian/control: update Homepage link.

  [ Pierre Gruet ]
  * Raise d/watch version to 4

 -- Steven Schubiger <stsc@refcnt.org>  Sun, 09 Jun 2024 21:20:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Steven Schubiger <stsc@refcnt.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://cgit.refcnt.org/colorize.git/tree/README
+Homepage: http://cgit.refcnt.org/colorize.git/about/
 Vcs-Git: git://refcnt.org/colorize.git
 Vcs-Browser: http://cgit.refcnt.org/colorize.git/

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@

=== debian/watch ===
version=4
http://cgit.refcnt.org/colorize.git/refs/ /colorize.git/snapshot/colorize-(.+)\.tar\.gz

## colorize 0.67

=== debian/changelog ===
colorize (0.67-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 4.7.3.
  * debian/copyright: amend year.
  * debian/watch: increase version, update link to HTTPS.
  * debian/{control,copyright}: update links to HTTPS, reported by duck(1).

 -- Steven Schubiger <stsc@refcnt.org>  Wed, 11 Feb 2026 13:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: colorize
 Section: utils
-Priority: optional
 Maintainer: Steven Schubiger <stsc@refcnt.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
-Homepage: http://cgit.refcnt.org/colorize.git/about/
+Homepage: https://cgit.refcnt.org/colorize.git/about/
 Vcs-Git: git://refcnt.org/colorize.git
-Vcs-Browser: http://cgit.refcnt.org/colorize.git/
+Vcs-Browser: https://cgit.refcnt.org/colorize.git/
 
 Package: colorize
 Conflicts: forensics-colorize

=== debian/watch ===
version=4
https://cgit.refcnt.org/colorize.git/refs/ /colorize.git/snapshot/colorize-(.+)\.tar\.gz
